- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CUtilities Class Reference

a set of static utility helper functions this class is never instantiated More...

`#include <MeshHierarchy.h>`

List of all members.

## Static Public Member Functions
static char * | DuplicateCharString (const char *c_str)
| makes a new character string from the passed one
static WCHAR * | CreateWideStringFromCharString (const char *c_str)
| takes a char string and creates a wide string from it
static bool | FillWideStringFromCharString (const char *c_str, WCHAR *wideString, size_t wideStringLen)
| takes a char string and creates a wide string from it

## Detailed Description

a set of static utility helper functions this class is never instantiated

Author:
  Keith Ditchburn

Date:
  17 July 2005

## Member Function Documentation

char * CUtilities::DuplicateCharString | ( | const char * | c_str | ) | `[static]`

makes a new character string from the passed one

Parameters:

  | c_str | - the null terminated char string

Returns:
  the new string. Caller is responsible for freeing the memory

Author:
  Keith Ditchburn

Date:
  17 July 2005

WCHAR * CUtilities::CreateWideStringFromCharString | ( | const char * | c_str | ) | `[static]`

takes a char string and creates a wide string from it

Parameters:

  | c_str | - the null terminated char string

Returns:
  the new string. Called is responsible for deleting memory

Author:
  Keith Ditchburn

Date:
  17 July 2005

bool CUtilities::FillWideStringFromCharString | ( | const char * | c_str,
|  | WCHAR * | wideString,
|  | size_t | wideStringLen |
| ) |  |  | `[static]`

takes a char string and creates a wide string from it

Parameters:

  | c_str | - the null terminated char string
  | wideString | - the wide string to write to
  | wideStringLen | - the length of the wide string

Returns:
  the new string. Caller is responsible for deleting memory.

Author:
  Keith Ditchburn

Date:
  17 July 2005

The documentation for this class was generated from the following files:

- My Documents/TS2/inc/MeshHierarchy.h
- My Documents/TS2/src/MeshHierarchy.cpp